| Classes - Annotated - Tree - Functions - Home - Structure

# QShowEvent Class Reference

The event sent when a widget is shown. More...

`#include <qevent.h>`

Inherits QEvent.

List of all member functions.

## Public Members

- QShowEvent ( bool spontaneous )
- bool spontaneous () const

## Detailed Description

The event sent when a widget is shown.

There are two kind of show events: spontaneous show events by the window system and internal show events. Spontaneous show events are sent just after the window system shows the window, including after a top-level window has been shown (un-iconified) by the user. Internal show events are delivered just before the widget becomes visible.

See also QHideEvent.

## Member Function Documentation

### QShowEvent::QShowEvent ( bool spontaneous )

Constructs a QShowEvent. spontaneous is TRUE if the event originated outside the application - ie. the user revealed the window via the window manager controls.

### bool QShowEvent::spontaneous () const

Returns TRUE if the event originated outside the application - ie. the user revealed the window via the window manager controls.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.